https://kotlinlang.org logo
#compose
Title
# compose
t

thanh

04/04/2022, 11:10 AM
Do we have new compose version for Kotlin
1.6.20
? I see this error with Kotlin
1.6.20
and
kotlinCompilerExtensionVersion '1.1.1'
Copy code
java.lang.NoSuchMethodError: 'org.jetbrains.kotlin.ir.expressions.impl.IrSetFieldImpl org.jetbrains.kotlin.ir.builders.ExpressionHelpersKt.irSetField(org.jetbrains.kotlin.ir.builders.IrBuilderWithScope, org.jetbrains.kotlin.ir.expressions.IrExpression, org.jetbrains.kotlin.ir.declarations.IrField, org.jetbrains.kotlin.ir.expressions.IrExpression)'
        at androidx.compose.compiler.plugins.kotlin.lower.LiveLiteralTransformer.irLiveLiteralGetter(LiveLiteralTransformer.kt:318)
        at androidx.compose.compiler.plugins.kotlin.lower.LiveLiteralTransformer.visitConst(LiveLiteralTransformer.kt:439)
e

ephemient

04/04/2022, 11:16 AM
n

nitrog42

04/04/2022, 12:53 PM
btw, this links is pinned to the channel (I did it 2-3 weeks ago) if needed
💯 1
3 Views